package timer

import (
	"time"
)

type ITimer interface {
	NewTimer(duration time.Duration, cb func(), needLog bool, desc ...string) uint32
	CancelTimer(timerId uint32)
	CancelAllTimer()
}

type ITimeType interface {
	Number() int32
	String() string
}
